Bug 1480958 (golang-github-BurntSushi-freetype-go) - Review Request: golang-github-BurntSushi-freetype-go - A fork of freetype-go with bounding box calculations
Summary: Review Request: golang-github-BurntSushi-freetype-go - A fork of freetype-go ...
Keywords:
Status: CLOSED RAWHIDE
Alias: golang-github-BurntSushi-freetype-go
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Zbigniew Jędrzejewski-Szmek
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: DeepinDEPackageReview
TreeView+ depends on / blocked
 
Reported: 2017-08-13 08:14 UTC by sensor.wen
Modified: 2018-11-15 04:15 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-07-22 13:30:30 UTC
Type: Bug
zbyszek: fedora-review+


Attachments (Terms of Use)

Comment 1 Zbigniew Jędrzejewski-Szmek 2017-08-14 00:54:14 UTC
Shouldn't the Release tag include the git hash? There seems to be no released version.

- Package does not contain duplicates in %files.
  Note: warning: File listed twice:
  /usr/share/gocode/src/github.com/BurntSushi/freetype-go
  See: http://fedoraproject.org/wiki/Packaging/Guidelines#DuplicateFiles

License tag is incomplete: https://github.com/BurntSushi/freetype-go/blob/master/LICENSE says GPLv2+ or "The FreeType License". This is the same offer that freetype provides. I think it should be "License: GPLv2+ or FTL".

+ package name is OK
+ license is acceptable (see above)
- license is not specified correctly
+ latest version
+ P/R/BR look OK
+ builds and install OK
+ fedora-review and rmplint are happy (modulo the issue listed above)

rpmlint:
golang-github-BurntSushi-freetype-go-unit-test-devel.x86_64: W: no-documentation
3 packages and 0 specfiles checked; 0 errors, 1 warnings.

Package is APPROVED. Please fix the License and Release tags when importing.

Comment 3 Gwyn Ciesla 2017-08-14 19:52:25 UTC
(fedrepo-req-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/golang-github-BurntSushi-freetype-go

Comment 4 Gwyn Ciesla 2017-08-14 19:52:35 UTC
(fedrepo-req-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/golang-github-BurntSushi-freetype-go

Comment 5 Fedora Update System 2017-10-09 14:57:04 UTC
golang-github-BurntSushi-freetype-go-0-0.1.gitb763ddb.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2017-8886feab4c

Comment 6 Fedora Update System 2017-10-11 06:26:48 UTC
golang-github-BurntSushi-freetype-go-0-0.1.gitb763ddb.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-8886feab4c

Comment 7 Zamir SUN 2018-07-22 13:30:30 UTC
This is already in Rawhide. Closing on behalf of the Deepin Desktop packaging effort.

Comment 8 Fedora Update System 2018-11-14 22:12:59 UTC
golang-github-BurntSushi-freetype-go-0-0.5.20181114gite2365df.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2018-c52b9f5b47

Comment 9 Fedora Update System 2018-11-15 04:15:15 UTC
golang-github-BurntSushi-freetype-go-0-0.5.20181114gite2365df.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-c52b9f5b47


Note You need to log in before you can comment on or make changes to this bug.